<p>While most of the technical side of most project will happen on software forges, it may be interesting, and sometimes necessary to assessing projects' health, to find out which communication spaces the community uses. As a general rule, in open and welcoming communities, most communication happens in the open, where the community can see what is happening. Some software have their development happen behind closed doors, for instance Android : <span class="line" lang="markdown">They develop behind closed doors within Google and then release once a year, and trying to find a discussion space can only be frustrating.<br /></span></p>
<div class="flex-container">
<div class="figure-and-caption"><img width="350" src="/static/mod2-irc_discord_email.svg" alt="symbols for email, Discord, and IRC" /></div>
<div class="side-text">
<p>Even in public, various spaces can have either various levels of activity, various subcommunities, or various uses, for instance <strong>mailing-lists</strong> for decisions, <strong>synchronous chats</strong> (IRC, discord, etc.) for helping one another, etc. Some contributions may even require using some specific communication channels, e.g. contributing to the core of a project, vs contributing to a plugin.</p>
</div>
</div>
<p>Ideally, a project's most active communication spaces can be found from the project website or repository, and if you need a specific space for a specific discussion, people should be able to tell you from there, and it can be a multi-step process.</p>
<p>For instance, for this MOOC, a "stay in touch" link from the website will send you to the project's mailing list, but you'll also find links to the repository, which will give you in its <a href="https://gitlab.com/mooc-floss/mooc-floss/-/blob/master/CONTRIBUTING.md" target="_blank" rel="noopener">CONTRIBUTING.md </a>the link to matrix room, etc.</p>